package com.lz.modules.flow.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.lz.modules.flow.dao.StaffMenuMapper;
import com.lz.modules.flow.entity.StaffMenu;
import com.lz.modules.flow.service.StaffMenuService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
* <p>
* 绩效管理菜单表 服务类
* </p>
*
* @author quyixiao
* @since 2020-11-02
*/

@Service
public class StaffMenuServiceImpl extends ServiceImpl<StaffMenuMapper, StaffMenu> implements StaffMenuService {


    @Autowired
	private StaffMenuMapper staffMenuMapper;



	@Override
	public StaffMenu selectStaffMenuById(Long id){
		return staffMenuMapper.selectStaffMenuById(id);
	}



	@Override
	public Long insertStaffMenu(StaffMenu staffMenu){
		return staffMenuMapper.insertStaffMenu(staffMenu);
	}



	@Override
	public int updateStaffMenuById(StaffMenu staffMenu){
		return staffMenuMapper.updateStaffMenuById(staffMenu);
	}



	@Override
	public int updateCoverStaffMenuById(StaffMenu staffMenu){
		return staffMenuMapper.updateCoverStaffMenuById(staffMenu);
	}



	@Override
	public int deleteStaffMenuById(Long id){
		return staffMenuMapper.deleteStaffMenuById(id);
	}

    @Override
    public List<StaffMenu> selectAll() {
        return staffMenuMapper.selctAll();
    }

	@Override
	public List<StaffMenu> selectByParentId(Long parentId) {
		return staffMenuMapper.selectByParentId(parentId);
	}


}
